import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";
import "DigitalUtopia.DUInterfaceB";
import "DigitalUtopia.UtilsxB";
import "DigitalUtopia.PalantirB";


--import "DigitalUtopia.UtilsxB.Class";

oM=OptionsManager();

		local displayWidth, displayHeight = Turbine.UI.Display.GetSize();
		local windowWidth,windowHeight = oM.mWindow:GetSize();
		local width = (displayWidth-windowWidth)/2;
		local height = (displayHeight-windowHeight)/2;
		oM.defaultOptionsMain.PositionX=width;
		oM.defaultOptionsMain.PositionY=height;

local pluginName = "PalantirB";
local settingsOne = "MainB";
local settingsTwo = "ColorB";
local settingsThree = "TextB";
local settingsFour = "QuickslotB";
player = Turbine.Gameplay.LocalPlayer.GetInstance();


local main={};
local color={};
local text={};
local qslot={};

function UnloadPlugin()
	oM.mWindow.dbb.wqs:SetShortcut(nil);
	oM.mWindow.dbb.fqs:SetShortcut(nil);
	oM.mWindow.dbb.dqs:SetShortcut(nil);
	oM.mWindow.dbb.pqs:SetShortcut(nil);
	oM.mWindow.dbb.Refresh();   
	oM.SaveSettings();
end

window = Turbine.UI.Window();
window:SetWantsUpdates(true);
window.Update = function(sender,args)
	if (Plugins[pluginName] ~= nil) then
		Plugins[pluginName].Unload = function(self,sender,args)
			UnloadPlugin();
		end
		window:SetWantsUpdates(false);
	end
end       

function loadHandle()

end

function qsHandle()
	                 

end


local tempLoad = Turbine.PluginData.Load(Turbine.DataScope.Account,"ScopeB");
if(tempLoad~=nil)then
	local scopeVal = tempLoad.Value;
	local scope="";
	if(scopeVal==1)then
		scope=Turbine.DataScope.Account;
	elseif(scopeVal==2)then
		scope=Turbine.DataScope.Character;
	else
		scope=Turbine.DataScope.Server
	end
	tempLoad = Turbine.PluginData.Load(scope,settingsOne);
	if (tempLoad~=nil)then
		main=tempLoad;
		color=Turbine.PluginData.Load(scope,settingsTwo);
		text=Turbine.PluginData.Load(scope,settingsThree);
		qslot = Turbine.PluginData.Load(Turbine.DataScope.Character,settingsFour);
		oM.loadSettings(main,color,text);
		if(qslot ~= nil)then
			oM.AddShortcuts(qslot);
		end
	else
		--use defaults;
		
		Turbine.Shell.WriteLine(displayHeight);
		main = oM.defaultOptionsMain;
		color = oM.defaultOptionsColor;
		text = oM.defaultOptionsText;
		oM.loadSettings(main,color,text);	
	end
	
else
	main = oM.defaultOptionsMain;
	color = oM.defaultOptionsColor;
	text = oM.defaultOptionsText;
	oM.loadSettings(main,color,text);

end	

Turbine.Shell.WriteLine("Palantir v1.09b by Digital_Utopia");
	